import React from 'react'

import ManuscriptHeader from './ManuscriptHeader'
import ManuscriptVersion from './ManuscriptVersion'
import {
  Root,
  BreadCrumbs,
  Header,
  ManuscriptId,
  Container,
  SideBar,
  LeftDetails,
  RightDetails,
} from '../atoms'
import { ManuscriptDetails, SideBarActions, SideBarRoles } from './'

const ManuscriptLayout = ({
  currentUser,
  editorInChief,
  updateManuscript,
  project,
  version,
  journal,
  previewFile,
  downloadFile,
}) => (
  <Root>
    <Container flex={3}>
      <Header>
        <LeftDetails>
          <BreadCrumbs>
            <span>Dashboard</span>
            <span>Manuscript Details</span>
          </BreadCrumbs>
          <ManuscriptId>{`- ID ${project.customId}`}</ManuscriptId>
        </LeftDetails>
        <RightDetails>
          <ManuscriptVersion project={project} />
        </RightDetails>
      </Header>
      <ManuscriptHeader journal={journal} project={project} version={version} />
      <ManuscriptDetails
        collection={project}
        downloadFile={downloadFile}
        fragment={version}
        previewFile={previewFile}
      />
    </Container>
    <SideBar flex={1}>
      <SideBarActions
        currentUser={currentUser}
        project={project}
        version={version}
      />
      <SideBarRoles
        currentUser={currentUser}
        editorInChief={editorInChief}
        project={project}
        version={version}
      />
    </SideBar>
  </Root>
)

export default ManuscriptLayout
